#!/usr/bin/perl -ws

use strict;
use warnings 'all';

# Start with the simpler files, fewer triangles, $j=0, then go to complicated Dehn fillings, ending at $j=5
for (my $j=0; $j < 6; $j++)
{
		for (my $i=5; $i < 11; $i++)
		{
				my $readstr = "read file Chain_tri/chain";
				$readstr .= $i;
				$readstr .= "_";
				$readstr .= $j;
				$readstr .= "fill.tri";
				print $readstr, "\n";
				print "print accurate shapes print -pa fi clear manifold\n";

				if ( $j>0 ) {
						$readstr = "read file Chain_tri/chain";
						$readstr .= $i;
						$readstr .= "_-";
						$readstr .= $j;
						$readstr .= "fill.tri";
						print $readstr, "\n";
						print "print accurate shapes print -pa fi clear manifold\n";
				}
		}
		for (my $i=6; $i < 11; $i+=2)
		{
				my $readstr = "read file Chain_tri/chain";
				$readstr .= $i;
				$readstr .= "tw_";
				$readstr .= $j;
				$readstr .= "fill.tri";
				print $readstr, "\n";
				print "print accurate shapes print -pa fi clear manifold\n";

				if ( $j>0 ) {
						$readstr = "read file Chain_tri/chain";
						$readstr .= $i;
						$readstr .= "tw_-";
						$readstr .= $j;
						$readstr .= "fill.tri";
						print $readstr, "\n";
						print "print accurate shapes print -pa fi clear manifold\n";
				}

		}
}
